@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;700&display=swap");

* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    font-family: "Poppins", sans-serif;
}

body {
    background-color: #FF3CAC;
    background-image: linear-gradient(90deg, #3c4fff 0%, #4b77a0 50%, #612bc5 100%);
}

.pageWrapper {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 5rem;
}

.pageWrapper .pageHeader {
    width: 100%;
    color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

.pageWrapper .pageHeader h1 {
    font-size: 2.5rem;
}

.pageWrapper .pageHeader .pokemonSearchForm {
    position: relative;
    width: 80%;
}

.pageWrapper .pageHeader .pokemonSearchForm .pokemonSearchIcon {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 0;
    bottom: 0;
    right: 1rem;
}

.pageWrapper .pageHeader input[type="text"]::placeholder {
    font-weight: 400;
}

.pageWrapper .pageHeader input[type="text"] {
    padding: 1rem;
    font-size: 12px;
    width: 100%;
    background: #e9e9e9;
    border-radius: .25rem;
    opacity: 20%;
    transition: .25s ease-in;
    border: 0;
    outline: 0;
    font-weight: 600;
    color: #182275;
}

.pageWrapper .pageHeader input[type="text"]:focus {
    box-shadow: 0 0 15px 1px #ffffff62;
    border-radius: .15rem;
    opacity: 100%;
}

.pageWrapper .pageHeader .pokemonSearchForm input[type="text"]:focus + .pokemonSearchIcon {
    color: #182275;
}

.pageWrapper .container {
    width: 100%;
    margin: 0px auto;
    overflow-x: hidden;
}

.pageWrapper .container .cards {
    margin: 2rem 0;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 2rem;
}

.pageWrapper .container .cards .pokemon{
    width: 100%;
    background-color: #fff;
    border-radius: 15px;
    padding: 2rem 0;
    color: #333;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.pageWrapper .container .cards .pokemon .pokemonImage{
    width: 60%;
    margin-bottom: 10px;
}

.pageWrapper .container .cards .pokemon .pokemonId{
    font-size: .75rem;
    margin: 1rem 0;
}

.pageWrapper .container .cards .pokemon .pokemonType{
    font-style: italic;
    opacity: 50%;
    font-size: .75rem;
    margin: 1rem 0;
}

.pageWrapper .container .cards .pokemon .pokemonWeight{
    font-style: bold;
    font-weight: 500;
    opacity: 95%;
}

.pageWrapper .backButton {
    cursor: pointer;
    display: inline-block;
    background-color: #ff9800;
    width: 50px;
    height: 50px;
    text-align: center; 
    border-radius: 4px;
    position: fixed;
    bottom: 30px;
    right: 30px;
    transition: background-color 0.3s, opacity 0.5s, visibility 0.5s;
    opacity: 0;
    visibility: hidden;
    z-index: 1000;
}

.backButton::after {
    content: "\f0a8"; /* FontAwesome unicode */
    font-family: 'Font Awesome 5 Free'; /* FontAwesome fontu */
    font-weight: 900; /* FontAwesome solid stil */
    font-size: 2em;
    line-height: 50px;
    color: #fff;
}

.backButton:hover {
    cursor: pointer;
    background-color: #333;
}

.backButton:active {
    background-color: #555;
}

.backButton.show {
    opacity: 1;
    visibility: visible;
}

.show {
    opacity: 1;
    visibility: visible;
}

.loadButton{
    cursor: pointer;
    height: 40px;
    width: 200px;
    border: 1px solid white;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    transition: all .3s ease-in-out;
}

.loadButton:hover {
        background-color: rgba(255, 255, 255, 0.4);
    color: white;
}